/*
        file: generic.h
          by: Johan Svensson <johan@ecsdg.lu.se>
    email to: <NA@ecsdg.lu.se>
        date: 1994-08-02
 last update: 1994-09-12
       notes: generic defines and includes
   copyright: Copyright (C) 1994-95 Jos-Ware Comp Tech, Sweden


#      This program is free software; you can redistribute it and/or modify
#      it under the terms of the GNU General Public License as published by
#      the Free Software Foundation; either version 2 of the License, or
#      (at your option) any later version.
#
#      This program is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#      GNU General Public License for more details.
#
#      You should have received a copy of the GNU General Public License
#      along with this program; if not, write to the Free Software
#      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

*/

#include <stdio.h>
#include <fcntl.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>
#include <stddef.h>
#include <ctype.h>
#include <signal.h>
#include <string.h>
#include <time.h>
#include <dirent.h>
#include <unistd.h>
#include <sys/socket.h>
#include <assert.h>
#include <netdb.h>
#include <netinet/in.h>

/* make includes here for other platforms */



/* some nice things to have: */
#ifndef NIL
#define NIL(type)  (type *) 0
#endif

#ifndef MAX
#define MAX(a,b) (((a)>(b))?(a):(b))
#endif

#ifndef _ARGUMENTS
#define _ARGUMENTS(arglist) arglist
#endif


/* Portability issues: */
typedef unsigned char           UCHAR;
typedef signed char             SCHAR;
typedef unsigned short int      UWORD;
typedef signed short int        SWORD;
typedef unsigned long int       UDWORD;
typedef signed long int         SDWORD;

